# isValid method

1. @override

bool isValid(

1. Uri uri

)
override

Validates whether the given URI meets specific criteria.

Implement this method to define custom validation logic.

Example:

    final validator = MyUriValidator();
    final isValid = validator.isValid(Uri.parse('https://test.com'));

@param uri The URI to validate @return `true` if the URI is valid, `false` otherwise

## Implementation

    @override
    bool isValid(Uri uri) {
      return requiredParams.every((param) =>
        uri.queryParameters.containsKey(param));
    }